> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Move a resource to another organization



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/resources/move
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/resources/move:
    post:
      tags:
        - Organizations
      summary: Move a resource to another organization
      operationId: postV1ResourcesMove
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_type
                - resource_id
              properties:
                resource_type:
                  type: string
                  enum:
                    - config_entry
                    - dashboard
                    - automation
                    - script
                    - zone
                resource_id:
                  type: integer
                  description: ID numérico do recurso
                target_org_id:
                  type: string
                  nullable: true
                  description: ID da org de destino (null = pessoal)
            example:
              resource_type: dashboard
              resource_id: 5
              target_org_id: org_abc123
      responses:
        '200':
          description: Resource moved
          content:
            application/json:
              example:
                ok: true
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````